Summary: LablGL is an OpenGL interface for Objective Caml
Name: lablgl
Version: 1.01
Release: 1%{?distro_release:.%{distro_release}}
License: BSD
Group: System Environment/Libraries
Source: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
URL: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Provides: lablGL
BuildRequires: ocaml, tcl-devel, tk-devel, Mesa-devel, libGL-devel, libGLU-devel, freeglut-devel
BuildRequires: %{_libdir}/ocaml/labltk/widget.cmi

%description
LablGL is is an Objective Caml interface to OpenGL. Support is included for use
inside LablTk, and LablGTK also includes specific support for LablGL.

It can be used either with proprietary OpenGL implementations (SGI, Digital
Unix, Solaris...), with XFree86 GLX extension, or with open-source Mesa.

%prep
%setup -q

%build

cat > Makefile.config << EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_prefix}/X11R6/include
XLIBS = -L%{_prefix}/X11R6/lib -lXext -lXmu -lX11 -lXi
TKINCLUDES = -I%{_includedir}
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut
GLINCLUDES =
RANLIB = ranlib
COPTS = $RPM_OPT_FLAGS
EOF

make -j1 all opt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs
make\
   PREFIX=$RPM_BUILD_ROOT/%{_prefix}\
   BINDIR=$RPM_BUILD_ROOT/%{_bindir}\
   LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/ocaml\
   INSTALLDIR=$RPM_BUILD_ROOT/%{_libdir}/ocaml/lablGL\
   DLLDIR=$RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs\
   install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README
%{_bindir}/*
%{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/stublibs/*

%changelog
* Thu Jan 27 2005 Aleksey Nogin <rpm@nogin.org>
- Updated to 1.01
- Various minor spec file improvements.

* Thu Apr 22 2002 Ben Martin
- Created 
